Bug 1766842 - Review Request: gnome-monitor-config - GNOME Monitor Configuration Tool
Summary: Review Request: gnome-monitor-config - GNOME Monitor Configuration Tool
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-30 04:09 UTC by Jeremy Newton
Modified: 2020-01-17 13:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-17 13:56:57 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jeremy Newton 2019-10-30 04:09:08 UTC
Spec URL: https://mystro256.fedorapeople.org/gnome-monitor-config.spec
SRPM URL: https://mystro256.fedorapeople.org/gnome-monitor-config-0-0.1.20190520.gitbc2f76c.fc30.src.rpm

Description:
A CLI configuration tool used for changing monitor settings in GNOME.
This can be used in Wayland, with functionality similar to xrandr on X11.

Fedora Account System Username: mystro256

Comments:
I use this for some automated testing, so it would be nice to have this in Fedora/EPEL

I made a COPR build as well:
https://copr.fedorainfracloud.org/coprs/mystro256/gnome-monitor-config/build/1081864/

Comment 1 Ondřej Pohořelský 2019-11-19 11:16:50 UTC
Hi, this is my first informal review and I would be glad to hear any feedback on it.

I would suggest getting in touch with upstream regarding license. You can't add license file into a package from other source than upstream. 
I see there is a disclaimer in gmc-display-config.c, but for valid Fedora package you need a separate license file.


>%{!?_licensedir:%global license %%doc}
I guess this is used for compatibility with other older distributions. I would suggest deleting this line and rely only on %License macro


Another thing is missing %check macro and tests.

 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/licenses/gnome-
     monitor-config(C, Failed, locale,, to, set, defaulting)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-monitor-config-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
          gnome-monitor-config-debuginfo-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
          gnome-monitor-config-debugsource-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
          gnome-monitor-config-0-0.1.20190520.gitbc2f76c.fc32.src.rpm
gnome-monitor-config.x86_64: W: spelling-error %description -l en_US xrandr -> rand
gnome-monitor-config.x86_64: W: no-documentation
gnome-monitor-config.x86_64: W: no-manual-page-for-binary gnome-monitor-config
gnome-monitor-config.src: W: spelling-error %description -l en_US xrandr -> rand
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: gnome-monitor-config-debuginfo-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "cs_CZ.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "cs_CZ.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
gnome-monitor-config-debuginfo.x86_64: W: invalid-url URL: https://github.com/jadahl/gnome-monitor-config <urlopen error [Errno -2] Name or service not known>
gnome-monitor-config.x86_64: W: spelling-error %description -l en_US xrandr -> rand
gnome-monitor-config.x86_64: W: invalid-url URL: https://github.com/jadahl/gnome-monitor-config <urlopen error [Errno -2] Name or service not known>
gnome-monitor-config.x86_64: W: no-documentation
gnome-monitor-config.x86_64: W: no-manual-page-for-binary gnome-monitor-config
gnome-monitor-config-debugsource.x86_64: W: invalid-url URL: https://github.com/jadahl/gnome-monitor-config <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt :
  CHECKSUM(SHA256) this package     : 8177f97513213526df2cf6184d8ff986c675afb514d4e68a404010521b880643
  CHECKSUM(SHA256) upstream package : 8177f97513213526df2cf6184d8ff986c675afb514d4e68a404010521b880643
https://github.com/jadahl/gnome-monitor-config/archive/bc2f76c4be6f45621fbbea3ca8c666e3182f6377/gnome-monitor-config-bc2f76c.tar.gz :
  CHECKSUM(SHA256) this package     : b9df0fa69f3c2c1616c6e22b999209af23243056ff810dd0f2940b3803e5c2fa
  CHECKSUM(SHA256) upstream package : b9df0fa69f3c2c1616c6e22b999209af23243056ff810dd0f2940b3803e5c2fa


Requires
--------
gnome-monitor-config (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    rtld(GNU_HASH)

gnome-monitor-config-debuginfo (rpmlib, GLIBC filtered):

gnome-monitor-config-debugsource (rpmlib, GLIBC filtered):



Provides
--------
gnome-monitor-config:
    gnome-monitor-config
    gnome-monitor-config(x86-64)

gnome-monitor-config-debuginfo:
    debuginfo(build-id)
    gnome-monitor-config-debuginfo
    gnome-monitor-config-debuginfo(x86-64)

gnome-monitor-config-debugsource:
    gnome-monitor-config-debugsource
    gnome-monitor-config-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -u https://bugzilla.redhat.com/show_bug.cgi?id=1766842
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: fonts, SugarActivity, Ocaml, Haskell, Python, Java, R, Perl, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Jeremy Newton 2019-11-19 14:16:02 UTC
(In reply to Ondřej Pohořelský from comment #1)
> Hi, this is my first informal review and I would be glad to hear any
> feedback on it.

Thanks for the review!

> 
> I would suggest getting in touch with upstream regarding license. You can't
> add license file into a package from other source than upstream. 
> I see there is a disclaimer in gmc-display-config.c, but for valid Fedora
> package you need a separate license file.
> 

Yes you are correct, I should probably not include a license file.
I made a pull request:
https://github.com/jadahl/gnome-monitor-config/pull/1

In the meantime, I'll drop the license, but lack of license file shouldn't be a blocker for acceptance into Fedora.

> 
> >%{!?_licensedir:%global license %%doc}
> I guess this is used for compatibility with other older distributions. I
> would suggest deleting this line and rely only on %License macro
> 

This is for RHEL6, but since this likely won't work on older than RHEL7, I'll drop it from the spec file.

> 
> Another thing is missing %check macro and tests.
> 

There's nothing to test so I've skipped this section. This is a "should" not a "must", so it's not a blocker.

>  
> 
> 
> ...
> 
> 
> Rpmlint
> -------
> Checking: gnome-monitor-config-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
>          
> gnome-monitor-config-debuginfo-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
>          
> gnome-monitor-config-debugsource-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
>           gnome-monitor-config-0-0.1.20190520.gitbc2f76c.fc32.src.rpm
> gnome-monitor-config.x86_64: W: spelling-error %description -l en_US xrandr
> -> rand
> gnome-monitor-config.x86_64: W: no-documentation
> gnome-monitor-config.x86_64: W: no-manual-page-for-binary
> gnome-monitor-config
> gnome-monitor-config.src: W: spelling-error %description -l en_US xrandr ->
> rand
> 4 packages and 0 specfiles checked; 0 errors, 4 warnings.
> 
> 
> 
> 
> Rpmlint (debuginfo)
> -------------------
> Checking:
> gnome-monitor-config-debuginfo-0-0.1.20190520.gitbc2f76c.fc32.x86_64.rpm
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> perl: warning: Setting locale failed.
> perl: warning: Please check that your locale settings:
> 	LANGUAGE = (unset),
> 	LC_ALL = (unset),
> 	LC_CTYPE = "C.UTF-8",
> 	LANG = "cs_CZ.UTF-8"
>     are supported and installed on your system.
> perl: warning: Falling back to the standard locale ("C").
> perl: warning: Setting locale failed.
> perl: warning: Please check that your locale settings:
> 	LANGUAGE = (unset),
> 	LC_ALL = (unset),
> 	LC_CTYPE = "C.UTF-8",
> 	LANG = "cs_CZ.UTF-8"
>     are supported and installed on your system.
> perl: warning: Falling back to the standard locale ("C").
> gnome-monitor-config-debuginfo.x86_64: W: invalid-url URL:
> https://github.com/jadahl/gnome-monitor-config <urlopen error [Errno -2]
> Name or service not known>
> gnome-monitor-config.x86_64: W: spelling-error %description -l en_US xrandr
> -> rand
> gnome-monitor-config.x86_64: W: invalid-url URL:
> https://github.com/jadahl/gnome-monitor-config <urlopen error [Errno -2]
> Name or service not known>
> gnome-monitor-config.x86_64: W: no-documentation
> gnome-monitor-config.x86_64: W: no-manual-page-for-binary
> gnome-monitor-config
> gnome-monitor-config-debugsource.x86_64: W: invalid-url URL:
> https://github.com/jadahl/gnome-monitor-config <urlopen error [Errno -2]
> Name or service not known>
> 3 packages and 0 specfiles checked; 0 errors, 6 warnings.
> 

Looks like everything can be ignored here. Looks like you have an issue with your perl locale though.

> 
> 
> ...

Comment 3 Ondřej Pohořelský 2019-11-20 11:30:45 UTC
> Yes you are correct, I should probably not include a license file.
> I made a pull request:
> https://github.com/jadahl/gnome-monitor-config/pull/1
> 
> In the meantime, I'll drop the license, but lack of license file shouldn't
> be a blocker for acceptance into Fedora.

No, this isn't a blocker. Add this pull requests url into the spec file as a comment to prevent possible confusion.


> Looks like everything can be ignored here. Looks like you have an issue with
> your perl locale though.

Yes, this is a problem on my side. I'm trying to resolve it.

Comment 4 Robert-André Mauchin 2019-12-10 18:33:09 UTC
Yoa can add config_opts['environment']['LANG'] = 'C.UTF-8' to your mock.cfg


Package approved.

Comment 5 Jeremy Newton 2019-12-11 14:41:53 UTC
Thanks Robert-André! I'll put the request in now.

Comment 6 Gwyn Ciesla 2019-12-11 15:34:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gnome-monitor-config

Comment 7 Jeremy Newton 2020-01-17 13:56:57 UTC
Done, thanks everyone!


Note You need to log in before you can comment on or make changes to this bug.